# Get Workspace By Name

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Workspace By Name"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the specified workspace and its properties.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"default_idle_timeout_in_seconds":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Default idle timeout for pipelines. Pipelines will go on standby after this time. Reach out to deepset support to change this limit.","title":"Workspace default idle timeout"},"languages":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Supported languages within a workspace.","title":"Workspace languages"},"member_count":{"default":0,"description":"Number of members in the workspace.","title":"Workspace member count","type":"integer"},"name":{"description":"The name of the workspace. It must be longer than 3 characters.","title":"Workspace name","type":"string"},"workspace_id":{"description":"Unique identifier of a workspace.","format":"uuid","title":"Workspace ID","type":"string"}},"required":["name","workspace_id"],"title":"Workspace","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
